iptables: set ABI_VERSION to force rebuild of dependent packages
authorFelix Fietkau <nbd@nbd.name>
Fri, 7 Apr 2017 11:20:11 +0000 (13:20 +0200)
committerFelix Fietkau <nbd@nbd.name>
Wed, 12 Apr 2017 08:51:36 +0000 (10:51 +0200)
Signed-off-by: Felix Fietkau <nbd@nbd.name>
package/network/utils/iptables/Makefile

index 2fef0ab..ae2377e 100644 (file)
@@ -402,6 +402,7 @@ $(call Package/iptables/Default)
   SECTION:=libs
   CATEGORY:=Libraries
   DEPENDS:=+libip4tc +libip6tc +libxtables
+  ABI_VERSION:=$(PKG_VERSION)
   TITLE:=IPv4/IPv6 firewall - shared libiptc library (compatibility stub)
 endef
 
@@ -410,6 +411,7 @@ $(call Package/iptables/Default)
   SECTION:=libs
   CATEGORY:=Libraries
   TITLE:=IPv4 firewall - shared libiptc library
+  ABI_VERSION:=$(PKG_VERSION)
   DEPENDS:=+libxtables
 endef
 
@@ -418,6 +420,7 @@ $(call Package/iptables/Default)
   SECTION:=libs
   CATEGORY:=Libraries
   TITLE:=IPv6 firewall - shared libiptc library
+  ABI_VERSION:=$(PKG_VERSION)
   DEPENDS:=+libxtables
 endef
 
@@ -426,6 +429,7 @@ define Package/libxtables
  SECTION:=libs
  CATEGORY:=Libraries
  TITLE:=IPv4/IPv6 firewall - shared xtables library
+ ABI_VERSION:=$(PKG_VERSION)
  DEPENDS:= \
        +IPTABLES_CONNLABEL:libnetfilter-conntrack \
        +IPTABLES_NFTABLES:libnfnetlink